WordPress

Cómo proteger un sitio web hecho con WordPress

Explicamos lo que se debe hacer para mantener un sitio web gestionado con WordPress. Lo que exponemos a continuación va enfocado a conseguir que el sitio sea seguro.

Cómo proteger un sitio web hecho con WordPress

El proteger un sitio web es fundamental. De ello depende el que los visitantes del mismo accedan sin riesgos. WordPress es el gestor de contenidos más utilizado en la Web. Aunque se trata de un CMS que ofrece todo o casi todo lo necesario para los sitios que se sustentan en él sean seguros, ello no significa que no haya que tener en cuenta algunos principios, centrados en determinados ajustes y toma de decisiones.

Como dejamos ver la mayoría de los problemas de seguridad no se deben a las posibles vulnerabilidades que puede presentar WordPress. Los motivos se centran en las medidas que toman las personas que utilizan esta plataforma. De ahí la importancia de que estas medidas sean las adecuadas.

En la mayoría de las ocasiones solucionar estas vulnerabilidades no reviste complicaciones. Solo hay que tener en cuenta una serie de principios que contribuyen a evitarlas. A continuación hablamos de ello.

Mantener los temas y plugins actualizados

Cualquier sitio web hecho con WordPress se asienta sobre un tema y utiliza, para su normal funcionamiento, varios plugins. Cada vez surgen más problemas relacionados con la seguridad. Habitualmente se detectan rápidamente por parte de las personas que mantienen estos elementos.

Es importante comprobar de vez en cuando si el tema y los plugins se actualizan con normalidad. Si no lo hacen, hay que tratar de buscar una solución. Lo mejor es cambiar el tema y eliminar los plugins que no se actualizan e instalar otros de similares características.

Antes de tomar las medidas indicadas en el párrafo anterior podemos averiguar, realizando las búsquedas adecuadas en Internet para obtener información, si lo que queremos cambiar o eliminar presenta problemas de seguridad.

Mantener WordPress actualizado a la última versión

Ya hemos indicado que los responsables del core de WordPress llevan a cabo una actualización del sistema, entre otros motivos, cuando detectan un agujero de seguridad. De ahí la importancia de mantener el CMS siempre actualizado, con la última versión activa.

Desde que WordPress instaló por defecto el editor de bloques, en su versión 5.0, hay muchos usuarios que no se han decidido a efectuar la actualización. Está claro que ello entraña importantes riesgos. ¡Hay que actualizar!

No otorgar a los usuarios privilegios que no son necesarios

En muchos sitios web, además del administrador principal, existen otros usuarios con determinados privilegios. Es conveniente que estos privilegios no rompan con las pautas que se centran en la seguridad.

De todos los tipos de usuarios el más importante es el que tiene la categoría de Administrador. Si hay más de un usuario en esta categoría, hay que tener mucho cuidado a quien se otorgan las características de la misma. Lo mejor es tener un solo administrador activo y, al resto de usuarios registrados, asignarles una categoría de menor nivel.

No disponer de una contraseña débil

Para acceder al Panel de Administración de WordPress es necesario disponer de un nombre de usuario y de una contraseña. Es muy importante que el nombre de usuario nunca sea admin y que la contraseña no sea débil, que contenga el suficiente número de caracteres que impida su hackeo. Es conveniente que dicha contraseña contenga números y letras mayúsculas y minúsculas.

Hay que tener en cuenta que los piratas informáticos diseñan bots que tienen el único propósito de averiguar las credenciales de inicio de sesión. Intentan conseguir el acceso utilizando cientos de nombres de usuario y contraseñas. Ello se conoce como ataque de fuerza bruta.

Disponer de un certificado SSL / HTTPS

Nos referimos al certificado que obliga a que el acceso a cualquier página web se haga a través de una conexión segura, una conexión HTTPS. Cada vez son más los sitios web que tienen activado este protocolo. En la mayoría de los alojamientos web existe la posibilidad de activar SSL con un certificado gratuito, por ello recomendamos que todos los sitios lo activen.

Controlar las vulnerabilidades

Con el fin de impedir que se produzcan fallos de seguridad es conveniente instalar un plugin que se ocupe de ello. Existen unos cuantos destinados a tal fin, algunos gratuitos con opciones de pago, y otros totalmente gratuitos.

El fin primordial de estos plugins es la protección. En esta línea se encuentra All In One WP Security & Firewall, entre otros posibles. Su configuración es muy sencilla y ofrece una notable seguridad. Otro de los posibles, con notable reputación, es Wordfence Security, que ofrece una versión gratuita y otra de pago con más opciones.

Fabriciano González

Amante de la informática y de Internet entre otras muchas pasiones. Leo, descifro, interpreto, combino y escribo. Lo hago para seguir viviendo y disfrutando. Trato de dominar el tiempo para que no me esclavice.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

20 − 13 =

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.

Botón volver arriba